--AH:ScriptId=e456fdb1-cc0e-4601-9b91-247aee9167b8;3239
UPDATE [Roles]
   SET [Role_Name] = 'Administer',
       [Role_Description] = 'Allows unrestricted access to all functionality within ProGet.',
       [FeedScopable_Indicator] = 'N'
 WHERE [Role_Name] = 'Administer'

 UPDATE [Roles]
   SET [Role_Name] = 'Manage Feed',
       [Role_Description] = 'Allows access to manage feed settings, delete packages, and overwrite packages.',
       [FeedScopable_Indicator] = 'Y'
 WHERE [Role_Name] = 'Manage Feed'

UPDATE [Roles]
   SET [Role_Name] = 'Promote Packages',
       [Role_Description] = 'Allows access to promote packages to a specified feed of the same feed type. Users granted this task should also be granted at least the View & Download Packages task for the source feed. ',
       [FeedScopable_Indicator] = 'Y'
 WHERE [Role_Name] = 'Promote Packages'

UPDATE [Roles]
   SET [Role_Name] = 'Publish Packages',
       [Role_Description] = 'Allows access to publish, upload, push, and pull packages from a feed.',
       [FeedScopable_Indicator] = 'Y'
 WHERE [Role_Name] = 'Publish Packages'

UPDATE [Roles]
   SET [Role_Name] = 'View & Download Packages',
       [Role_Description] = 'Allows access to view and download packages from a feed.',
       [FeedScopable_Indicator] = 'Y'
 WHERE [Role_Name] = 'View & Download Packages'


DELETE [RoleTasks] 
  FROM [RoleTasks] RT
 INNER JOIN [Roles] R 
         ON R.[Role_Id] = RT.[Role_Id]
 WHERE [Role_Name] = 'Administer'
    OR [Role_Name] = 'Manage Feed'
    OR [Role_Name] = 'Promote Packages'
    OR [Role_Name] = 'Publish Packages'
    OR [Role_Name] = 'View & Download Packages'
GO


INSERT [RoleTasks] ([Role_Id], [Task_Id])

    SELECT R.[Role_Id], T.[Task_Id] 
      FROM [Tasks] T
     INNER JOIN [Roles] R 
             ON R.[Role_Name] = 'Administer'

    UNION ALL

    SELECT R.[Role_Id], T.[Task_Id] 
         FROM [Tasks] T
   INNER JOIN [Roles] R 
           ON R.[Role_Name] = 'Manage Feed'
		  AND T.[Task_Name] IN ('Feeds_ViewFeed','Feeds_DownloadPackage','Feeds_DeletePackage','Feeds_AddPackage','Feeds_PullPackage','Admin_ManageConnectors','Admin_ManageFeed','Feeds_OverwritePackage','Feeds_AcceptPackagePromotions')

    UNION ALL

    SELECT R.[Role_Id], T.[Task_Id] 
         FROM [Tasks] T
   INNER JOIN [Roles] R 
           ON R.[Role_Name] = 'Promote Packages'
          AND T.[Task_Name] IN ('Feeds_ViewFeed','Feeds_DownloadPackage','Feeds_AddPackage','Feeds_AcceptPackagePromotions')

    UNION ALL

    SELECT R.[Role_Id], T.[Task_Id] 
         FROM [Tasks] T
   INNER JOIN [Roles] R 
           ON R.[Role_Name] = 'Publish Packages'
          AND T.[Task_Name] IN ('Feeds_ViewFeed','Feeds_DownloadPackage','Feeds_AddPackage','Feeds_PullPackage')

    UNION ALL

    SELECT R.[Role_Id], T.[Task_Id] 
         FROM [Tasks] T
   INNER JOIN [Roles] R 
           ON R.[Role_Name] = 'View & Download Packages'
          AND T.[Task_Name] IN ('Feeds_ViewFeed','Feeds_DownloadPackage')
