--AH:ScriptId=84A455B2-8E9E-4503-A4B0-15D0AC058069

ALTER TABLE [DockerImageTags]
	DROP CONSTRAINT [FK__DockerImageTags__DockerImages]
ALTER TABLE [DockerImages]
	DROP CONSTRAINT [PK__DockerImages]
ALTER TABLE [DockerImages]
	DROP CONSTRAINT [FK__DockerImages__Feeds]
DROP INDEX [IX__DockerImages__Clustered] ON [DockerImages]

ALTER TABLE [DockerImages]
	ADD [DockerImage_Id] INT IDENTITY(1, 1) NOT NULL
GO

ALTER TABLE [DockerImages]
	ADD CONSTRAINT [PK__DockerImages]
		PRIMARY KEY ([DockerImage_Id])
GO

ALTER TABLE [DockerImages]
	ADD [DockerRepository_Id] INT
GO

UPDATE DI
   SET [DockerRepository_Id] = DR.[DockerRepository_Id]
  FROM [DockerImages] DI
       INNER JOIN [DockerRepositories] DR
	           ON DR.[Feed_Id] = DI.[Feed_Id]
			  AND DR.[Repository_Name] = DI.[Repository_Name]
GO

ALTER TABLE [DockerImages]
	ALTER COLUMN [DockerRepository_Id] INT NOT NULL
GO

ALTER TABLE [DockerImages]
	ADD CONSTRAINT [FK__DockerImages__DockerRepositories]
		FOREIGN KEY ([DockerRepository_Id])
		REFERENCES [DockerRepositories] ([DockerRepository_Id])
		ON DELETE CASCADE
GO

ALTER TABLE [DockerImages]
	DROP COLUMN [Feed_Id]
ALTER TABLE [DockerImages]
	DROP COLUMN [Repository_Name]
GO

CREATE INDEX [IX__DockerImages__Image_Digest]
	ON [DockerImages] ([Image_Digest])
	INCLUDE ([DockerRepository_Id], [DockerImage_Id])

CREATE INDEX [IX__DockerImages__ContainerConfigBlob_Id]
	ON [DockerImages] ([ContainerConfigBlob_Id])
	INCLUDE ([DockerRepository_Id], [DockerImage_Id])
