EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ChunkedUploads_AddPart',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Records an uploaded part.'
GO

IF OBJECT_ID('[ChunkedUploads_AddPart]') IS NOT NULL DROP PROCEDURE [ChunkedUploads_AddPart]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [ChunkedUploads_AddPart]
(
	@Feed_Id INT,
	@Upload_Id VARCHAR(100),
	@Part_Size BIGINT,
	@AdditionalData_Bytes VARBINARY(MAX)
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [ChunkedUploads]
	   SET [AdditionalData_Bytes] = @AdditionalData_Bytes,
	       [BytesReceived_Count] = [BytesReceived_Count] + @Part_Size,
		   [LatestChunkReceived_Date] = GETUTCDATE(),
		   [PartsReceived_Count] = [PartsReceived_Count] + 1
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Upload_Id] = @Upload_Id

END
GO

GRANT EXECUTE ON [ChunkedUploads_AddPart] TO [ProGetUser_Role]
GO