EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CondaPackages_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'CondaPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of Conda packages in a feed.'
GO

IF OBJECT_ID('[CondaPackages_GetPackages]') IS NOT NULL DROP PROCEDURE [CondaPackages_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [CondaPackages_GetPackages]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200) = NULL,
	@Subdir_Name VARCHAR(50) = NULL,
	@Version_Text VARCHAR(255) = NULL,
	@Build_Text VARCHAR(100) = NULL,
	@ArchiveType_Code CHAR(1) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [CondaPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Package_Name IS NULL OR [Package_Name] = @Package_Name)
	   AND (@Subdir_Name IS NULL OR [Subdir_Name] = @Subdir_Name)
	   AND (@Version_Text IS NULL OR [Version_Text] = @Version_Text)
	   AND (@Build_Text IS NULL OR [Build_Text] = @Build_Text)
	   AND (@ArchiveType_Code IS NULL OR [ArchiveType_Code] = @ArchiveType_Code)

END
GO

GRANT EXECUTE ON [CondaPackages_GetPackages] TO [ProGetUser_Role]
GO