EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_GetUsage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerBlobs_Usage',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the usage data for either a specific blob or for all blobs.'
GO

IF OBJECT_ID('[DockerBlobs_GetUsage]') IS NOT NULL DROP PROCEDURE [DockerBlobs_GetUsage]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_GetUsage]
(
	@Feed_Id INT,
	@Blob_Digest VARCHAR(128) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerBlobs_Usage]
	 WHERE ([Feed_Id] = @Feed_Id OR ([Feed_Id] IS NULL AND @Feed_Id IS NULL))
	   AND ([Blob_Digest] = @Blob_Digest OR @Blob_Digest IS NULL)

END
GO

GRANT EXECUTE ON [DockerBlobs_GetUsage] TO [ProGetUser_Role]
GO