EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalUserGroups_DeleteUserGroups',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes the specified external user/group associations.'
GO

IF OBJECT_ID('[ExternalUserGroups_DeleteUserGroups]') IS NOT NULL DROP PROCEDURE [ExternalUserGroups_DeleteUserGroups]
GO

CREATE PROCEDURE [ExternalUserGroups_DeleteUserGroups]
(
	@UserDirectory_Id INT,
	@ExternalUser_Name NVARCHAR(200),
	@ExternalGroup_Name NVARCHAR(200)
)
AS
BEGIN
	
	SET NOCOUNT ON

	DELETE [ExternalUserGroups]
	 WHERE [UserDirectory_Id] = @UserDirectory_Id
	   AND (@ExternalUser_Name IS NULL OR [ExternalUser_Name] = @ExternalUser_Name)
	   AND (@ExternalGroup_Name IS NULL OR [ExternalGroup_Name] = @ExternalGroup_Name)


END
GO

GRANT EXECUTE ON [ExternalUserGroups_DeleteUserGroups] TO [ProGetUser_Role]
GO
